Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderAdjustmentPresentation

    java.lang.Object
      com.bea.commerce.ebusiness.price.service.DiscountPresentation
          com.beasys.commerce.ebusiness.order.OrderAdjustmentPresentation

All Implemented Interfaces
  Serializable

    public class OrderAdjustmentPresentation

extends DiscountPresentation
implements Serializable

This class is used to store presentation information related to an Order or an OrderLine adjustment computation. It is used by JSPs to show the consumer why they are receiving a adjustment and how the prices are computed.

A List of OrderAdjustmentPresentation's is associated with the overall Order and each of its OrderLine.

See Also
  `DiscountPresentation`, `OrderValue`, Serialized Form

Constructor Summary
`OrderAdjustmentPresentation(double quantity, Money unitPrice, Money discount, String computation, String reason, long discountId, String adjustmentType)` This constructor calls its super-class constructor and sets the discountId and adjustment type data members.

Method Summary
`Object` | `clone()` The clone method creates a new OrderAdjustmentPresentation object and call its contructor.
`String` | `getAdjustmentType()`
`long` | `getDiscountId()`
`void` | `setAdjustmentType(String adjustmentType)` Sets the presentation string associated with the adjustmentType of the discount, e.g.
`void` | `setDiscountId(long discountId)` Sets the discountId over which the discount is applied for this line.
`String` | `toString()` A debug statement for now.

Methods inherited from class com.bea.commerce.ebusiness.price.service.DiscountPresentation
`getComputation, getDiscount, getQuantity, getReason, getShortText, getUnitPrice, set, setComputation, setDiscount, setQuantity, setReason, setUnitPrice`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderAdjustmentPresentation

    public OrderAdjustmentPresentation(double quantity,
                                       Money unitPrice,
                                       Money discount,
                                       String computation,
                                       String reason,
                                       long discountId,
                                       String adjustmentType)

  This constructor calls its super-class constructor and sets the discountId and adjustment type data members.

Method Detail

### getDiscountId

    public long getDiscountId()

  Returns
    the discountId which refers to the applied discount

### setDiscountId

    public void setDiscountId(long discountId)

  Sets the discountId over which the discount is applied for this line.

  Parameters
    `discountId,` - a long

### getAdjustmentType

    public String getAdjustmentType()

  Returns
    the String associated with the adjusment type

### setAdjustmentType

    public void setAdjustmentType(String adjustmentType)

  Sets the presentation string associated with the adjustmentType of the discount, e.g. "10% off", "$5 off"

  Parameters
    `the` - adjustmentType String

### clone

    public Object clone()

  The clone method creates a new OrderAdjustmentPresentation object and call its contructor.

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  A debug statement for now.

  Overrides:
    `toString` in class `DiscountPresentation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved